Return a paginated list of matching merchants.
April API (3.0)
These endpoints provide various methods for authenticating users from a backend service.
- POST /auth/signin Sign-in from a backend service on behalf of a consumer customer (B2C) or customer delegate (B2B)
A person or business purchasing goods or services from a merchant using Spenda to facilitate the payment. Customers are defined at the merchant level, so if an individual makes payments with multiple merchants, they will have a customer record for each of these merchants.
Spenda supports two broad categories of customers:
Consumer customers are individuals typically making purchases from the merchant via e-commerce websites. They are uniquely identified by emailAddress for a given merchant.
Organisation customers represent businesses wishing to make purchases from the merchant. They are uniquely identified by referenceCustomerId for a given merchant.
- GET /customers Return a paginated list of matching customers
- POST /customers Create a new customer or update the details of an existing customer
- GET /customers/{customerId} Return details of a customer
- POST /customers/kyc Perform a Know Your Customer (KYC) check on a consumer customer
- GET /customers/delegates Return a paginated list of matching customer delegates
- GET /customers/delegates/{customerDelegateId} Return details of a customer delegate
- PATCH /customers/delegates/{customerDelegateId} Various actions for updating a customer delegate such as linking to a new customer
- DELETE /customers/delegates/{customerDelegateId} Delete a customer delegate
A business or individual that uses Spenda to facilitate payments for their customers.
- GET /merchants Return a paginated list of matching merchants
- POST /merchants Create a new sub-merchant within the context of a marketplace
- GET /merchants/{merchantId} Return details of a merchant
- PATCH /merchants/{merchantId} Various actions for updating a merchant such as updating the bank account used for payouts
- GET /merchants/{merchantId}/balances Query the account balances of a merchant
- POST /merchants/{merchantId}/files Upload a document scan as part of the merchant onboarding profile
- GET /merchants/{merchantId}/files/{fileId} Get details on a merchant onboarding file
- GET /merchants/{merchantId}/applepay Get the domains registered for ApplePay for the specified merchant
- GET /merchants/{merchantId}/owners Return details of all beneficial owners for the given merchant
- POST /merchants/{merchantId}/owners Create a beneficial owner for the given merchant
- GET /merchants/{merchantId}/owners/{ownerId} Return details of a beneficial owner
- PUT /merchants/{merchantId}/owners/{ownerId} Overwrite an existing beneficial owner
- DELETE /merchants/{merchantId}/owners/{ownerId} Delete a beneficial owner
- GET /merchants/industries List all industries we currently support
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants
- Productionhttps://api.au.meetapril.io/merchants
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants?limit=0&page=0&sort=string&businessName=string&isActivated=true&payoutStatus=Enabled&marketplaceId=string&referenceMerchantId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Matching items sorted as specified
For sub-merchants, this is the system unique identifier for the marketplace they are a member of.
Timezone for the merchant, e.g. Australia/Sydney
Business name (as linked to ABN/ACN)
(Optional) Company type, required when businessType is company
Company website for handling support issues
The country where the business is registered for tax purposes.
The country where customers of the business are making payments.
The registered tax id of the company, e.g. ABN, NZBN
Must be between 1 and 26 characters.
Phone number in E164 format, eg. +61400000000
The address street number
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
The customer facing name of your business.
The label that will appear on your customer's credit or debit card statements. Must be between 5 and 13 characters. Valid characters are letters, numbers or spaces.
Sms Sender Name. Must be between 3 and 11 characters. Valid characters are letters and digits.
System identifier for uploaded scan of the front of the company document
System identifier for uploaded scan of the back of the company document
System identifier for uploaded scan of the front of the tax ID document
System identifier for uploaded scan of the Partnership Agreement. Required if business type is partnership.
System identifier for uploaded scan of the Trust Deed. Required if business type is trust.
A unique string for this merchant, such as your primary key.
Unique URL used for dashboards. Must be 4-255 characters, lowercase, alphanumeric without any special characters such as ! @ # & ( ) – [ ] : ; ‘, ? /.
List of bank accounts associated with this merchant. Payouts are paid into the primary bank account for each currency.
Your public or publishable API Key is used for all outgoing communications from the frontend of your website and checkout page.
The rules that configure payment sources for the merchant. Rules include surcharging, platform fee (FUTURE), etc.
Marketplace specific additional data associated with this merchant.
[ { "ServiceProviderMerchant": { … } } ]
Request associated with the creation of a skeleton sub-merchant without full eCommerce due diligence requirements
A unique string for this merchant, such as your primary key; a create call with a non-null referenceMerchantId value that already exists for your marketplace will be rejected
Used for authenticating into the Limepay merchant dashboard
ISO-3166 two-letter country code for where the merchant is a tax resident.
The business type for the merchant
The company type for the merchant
The industry for the merchant
The contact person for the merchant
Phone number associated with the merchant in E164 format, eg. +61400000000
The bank account name for the merchant
The bank account number for the merchant
The Australian equivalent to routing number is the bank state branch, or BSB, number
An optional reference provided by the merchant to identify the bank account. Must be unique for the given merchant.
Additional use case data specific to individual marketplaces or target industries and applications
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants
- Productionhttps://api.au.meetapril.io/merchants
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- CreateServiceProviderSubmerchant
- CreateStandardSubmerchant
curl -i -X POST \
https://api.sandbox.au.meetapril.io/merchants \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Marketplace-Id: string' \
-d '{
"CreateServiceProviderSubmerchant": {
"referenceMerchantId": "string",
"contactEmailAddress": "lucy.diamond@star.com",
"businessName": "string",
"taxCountry": "AU",
"businessType": "company",
"companyType": "Private",
"industry": "AcRefrigerationRepair",
"taxId": "string",
"contactPerson": {
"firstName": "string",
"lastName": "string",
"title": "string"
},
"phoneNumber": "+61401234567",
"address": {
"unitNumber": "string",
"streetNumber": "string",
"streetName": "string",
"streetType": "string",
"suburb": "string",
"city": "string",
"postcode": "string",
"postalCode": 2000,
"state": "string",
"country": "AU"
},
"bankName": "string",
"bankAccountName": "string",
"bankAccountNumber": "string",
"bankCountry": "string",
"bankCurrency": "AUD",
"bankRoutingNumber": "string",
"bankReferenceAccountId": "string",
"metadata": {},
"requesterId": "string"
}
}'For sub-merchants, this is the system unique identifier for the marketplace they are a member of.
Timezone for the merchant, e.g. Australia/Sydney
Business name (as linked to ABN/ACN)
(Optional) Company type, required when businessType is company
Company website for handling support issues
The country where the business is registered for tax purposes.
The country where customers of the business are making payments.
The registered tax id of the company, e.g. ABN, NZBN
Must be between 1 and 26 characters.
Phone number in E164 format, eg. +61400000000
The address street number
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
The customer facing name of your business.
The label that will appear on your customer's credit or debit card statements. Must be between 5 and 13 characters. Valid characters are letters, numbers or spaces.
Sms Sender Name. Must be between 3 and 11 characters. Valid characters are letters and digits.
System identifier for uploaded scan of the front of the company document
System identifier for uploaded scan of the back of the company document
System identifier for uploaded scan of the front of the tax ID document
System identifier for uploaded scan of the Partnership Agreement. Required if business type is partnership.
System identifier for uploaded scan of the Trust Deed. Required if business type is trust.
A unique string for this merchant, such as your primary key.
Unique URL used for dashboards. Must be 4-255 characters, lowercase, alphanumeric without any special characters such as ! @ # & ( ) – [ ] : ; ‘, ? /.
List of bank accounts associated with this merchant. Payouts are paid into the primary bank account for each currency.
Your public or publishable API Key is used for all outgoing communications from the frontend of your website and checkout page.
The rules that configure payment sources for the merchant. Rules include surcharging, platform fee (FUTURE), etc.
Marketplace specific additional data associated with this merchant.
- ServiceProviderMerchant
- StandardMerchant
{ "ServiceProviderMerchant": { "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "marketplaceId": "mktp_aZ-9UfKvllCPqGsi", "businessProfile": { … }, "referenceMerchantId": "string", "readableIdentifier": "string", "status": "Pending", "payoutDetails": { … }, "billingDetails": { … }, "bankAccounts": [ … ], "bankAccountVerificationResult": { … }, "payPlanSettings": { … }, "publicToken": "string", "sourceRules": [ … ], "metadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'For sub-merchants, this is the system unique identifier for the marketplace they are a member of.
Timezone for the merchant, e.g. Australia/Sydney
Business name (as linked to ABN/ACN)
(Optional) Company type, required when businessType is company
Company website for handling support issues
The country where the business is registered for tax purposes.
The country where customers of the business are making payments.
The registered tax id of the company, e.g. ABN, NZBN
Must be between 1 and 26 characters.
Phone number in E164 format, eg. +61400000000
The address street number
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
The customer facing name of your business.
The label that will appear on your customer's credit or debit card statements. Must be between 5 and 13 characters. Valid characters are letters, numbers or spaces.
Sms Sender Name. Must be between 3 and 11 characters. Valid characters are letters and digits.
System identifier for uploaded scan of the front of the company document
System identifier for uploaded scan of the back of the company document
System identifier for uploaded scan of the front of the tax ID document
System identifier for uploaded scan of the Partnership Agreement. Required if business type is partnership.
System identifier for uploaded scan of the Trust Deed. Required if business type is trust.
A unique string for this merchant, such as your primary key.
Unique URL used for dashboards. Must be 4-255 characters, lowercase, alphanumeric without any special characters such as ! @ # & ( ) – [ ] : ; ‘, ? /.
List of bank accounts associated with this merchant. Payouts are paid into the primary bank account for each currency.
Your public or publishable API Key is used for all outgoing communications from the frontend of your website and checkout page.
The rules that configure payment sources for the merchant. Rules include surcharging, platform fee (FUTURE), etc.
Marketplace specific additional data associated with this merchant.
- ServiceProviderMerchant
- StandardMerchant
{ "ServiceProviderMerchant": { "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "marketplaceId": "mktp_aZ-9UfKvllCPqGsi", "businessProfile": { … }, "referenceMerchantId": "string", "readableIdentifier": "string", "status": "Pending", "payoutDetails": { … }, "billingDetails": { … }, "bankAccounts": [ … ], "bankAccountVerificationResult": { … }, "payPlanSettings": { … }, "publicToken": "string", "sourceRules": [ … ], "metadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }
- AddMerchantBankAccount
- DeleteMerchantBankAccount
- RegisterApplePayDetails
- RemoveSurchargeConfig
- SetMerchantBillingPaymentSource
- SetMerchantPrimaryBankAccount
- SetSurchargeConfig
- UnregisterApplePayDetails
- UpdateMerchantBillingSettings
- UpdateMerchantBranding
- UpdateMerchantBusinessProfile
- UpdateMerchantMetadata
- UpdateMerchantPayoutDetails
- UpdateMerchantPublicInfo
- UpdateOrderCustomFields
Add a new bank account associated with this merchant. The newly added account will automatically be set as the primary bank account where payouts are deposited into.
Name of the person or business that holds the account
Region specific identifier for the bank account.
3 letter ISO code indicating the currency of the bank account.
Make this account the primary bank account for the merchant. If not provided, the account will be set as primary.
An optional reference provided by the merchant to identify this account. Must be unique for the given merchant.
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- AddMerchantBankAccount
- DeleteMerchantBankAccount
- RegisterApplePayDetails
- RemoveSurchargeConfig
- SetMerchantBillingPaymentSource
- SetMerchantPrimaryBankAccount
- SetSurchargeConfig
- UnregisterApplePayDetails
- UpdateMerchantBillingSettings
- UpdateMerchantBranding
- UpdateMerchantBusinessProfile
- UpdateMerchantMetadata
- UpdateMerchantPayoutDetails
- UpdateMerchantPublicInfo
- UpdateOrderCustomFields
curl -i -X PATCH \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"AddMerchantBankAccount": {
"accountName": "string",
"bankName": "string",
"identifier": {
"AuBankAccountIdentifier": {
"bsb": "string",
"accountNumber": "string"
}
},
"currency": "AUD",
"setAsPrimary": true,
"referenceAccountId": "string",
"requesterId": "string"
}
}'For sub-merchants, this is the system unique identifier for the marketplace they are a member of.
Timezone for the merchant, e.g. Australia/Sydney
Business name (as linked to ABN/ACN)
(Optional) Company type, required when businessType is company
Company website for handling support issues
The country where the business is registered for tax purposes.
The country where customers of the business are making payments.
The registered tax id of the company, e.g. ABN, NZBN
Must be between 1 and 26 characters.
Phone number in E164 format, eg. +61400000000
The address street number
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
The customer facing name of your business.
The label that will appear on your customer's credit or debit card statements. Must be between 5 and 13 characters. Valid characters are letters, numbers or spaces.
Sms Sender Name. Must be between 3 and 11 characters. Valid characters are letters and digits.
System identifier for uploaded scan of the front of the company document
System identifier for uploaded scan of the back of the company document
System identifier for uploaded scan of the front of the tax ID document
System identifier for uploaded scan of the Partnership Agreement. Required if business type is partnership.
System identifier for uploaded scan of the Trust Deed. Required if business type is trust.
A unique string for this merchant, such as your primary key.
Unique URL used for dashboards. Must be 4-255 characters, lowercase, alphanumeric without any special characters such as ! @ # & ( ) – [ ] : ; ‘, ? /.
List of bank accounts associated with this merchant. Payouts are paid into the primary bank account for each currency.
Your public or publishable API Key is used for all outgoing communications from the frontend of your website and checkout page.
The rules that configure payment sources for the merchant. Rules include surcharging, platform fee (FUTURE), etc.
Marketplace specific additional data associated with this merchant.
- ServiceProviderMerchant
- StandardMerchant
{ "ServiceProviderMerchant": { "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "marketplaceId": "mktp_aZ-9UfKvllCPqGsi", "businessProfile": { … }, "referenceMerchantId": "string", "readableIdentifier": "string", "status": "Pending", "payoutDetails": { … }, "billingDetails": { … }, "bankAccounts": [ … ], "bankAccountVerificationResult": { … }, "payPlanSettings": { … }, "publicToken": "string", "sourceRules": [ … ], "metadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/balances
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/balances
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/balances' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "currency": "string", "available": 0, "inTransit": 0, "pending": 0 }
Request
Upload a document scan as part of the merchant onboarding profile. The maximum permitted file size is 10MB. Supported file types are JPEG, PNG and PDF.
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/files
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/files
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/files' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: multipart/form-data' \
-F docType=CompanyVerificationDocumentBack \
-F file=string{ "limeFileId": "lfile_aZ-9UvKvllCPqGsm" }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/files/{fileId}
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/files/{fileId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/files/{fileId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "fileId": "lfile_aZ-9UvKvllCPqGsm", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "category": "MerchantOnboarding", "docType": "CompanyVerificationDocumentBack", "fileName": "string", "fileType": "jpeg", "fileSizeInMB": 0, "fileSizeInKB": 0, "createdAt": "2019-08-24T14:15:22Z" }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/applepay
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/applepay
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/applepay' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "details": { "domainNames": [ … ], "encryptTo": "string", "merchantUrl": "string", "partnerInternalMerchantIdentifier": "string", "partnerMerchantName": "string" } }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/owners
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Roles of the beneficial owner.
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
[ { "ownerId": "pson_aZ-9U_KvllCPqGss", "profile": { … }, "verificationResult": { … }, "isDeletable": true } ]
Roles of the beneficial owner.
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/owners
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"title": "string",
"roles": [
"Executive"
],
"givenName": "string",
"middleName": "string",
"familyName": "string",
"dateOfBirth": "1970-08-18",
"address": {
"unitNumber": "string",
"streetNumber": "string",
"streetName": "string",
"streetType": "string",
"suburb": "string",
"city": "string",
"postalCode": 2000,
"state": "string",
"country": "AU"
},
"emailAddress": "lucy.diamond@star.com",
"phoneNumber": "+61401234567",
"passport": {
"country": "AU",
"passportNumber": "string",
"expiryDate": "2019-08-24"
},
"driverLicence": {
"driverLicenceNumber": "string",
"documentNumber": "string",
"versionNumber": "string",
"state": "string",
"country": "AU"
},
"verificationDocs": {
"idType": "Passport",
"docFrontFileId": "lfile_aZ-9UvKvllCPqGsm",
"docBackFileId": "lfile_aZ-9UvKvllCPqGsm"
}
}'Roles of the beneficial owner.
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
{ "ownerId": "pson_aZ-9U_KvllCPqGss", "profile": { "title": "string", "roles": [ … ], "givenName": "string", "middleName": "string", "familyName": "string", "dateOfBirth": "1970-08-18", "address": { … }, "emailAddress": "lucy.diamond@star.com", "phoneNumber": "+61401234567", "passport": { … }, "driverLicence": { … }, "verificationDocs": { … } }, "verificationResult": { "status": "Pending", "errorCodes": [ … ], "details": [ … ] }, "isDeletable": true }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Roles of the beneficial owner.
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
{ "ownerId": "pson_aZ-9U_KvllCPqGss", "profile": { "title": "string", "roles": [ … ], "givenName": "string", "middleName": "string", "familyName": "string", "dateOfBirth": "1970-08-18", "address": { … }, "emailAddress": "lucy.diamond@star.com", "phoneNumber": "+61401234567", "passport": { … }, "driverLicence": { … }, "verificationDocs": { … } }, "verificationResult": { "status": "Pending", "errorCodes": [ … ], "details": [ … ] }, "isDeletable": true }
Roles of the beneficial owner.
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"title": "string",
"roles": [
"Executive"
],
"givenName": "string",
"middleName": "string",
"familyName": "string",
"dateOfBirth": "1970-08-18",
"address": {
"unitNumber": "string",
"streetNumber": "string",
"streetName": "string",
"streetType": "string",
"suburb": "string",
"city": "string",
"postalCode": 2000,
"state": "string",
"country": "AU"
},
"emailAddress": "lucy.diamond@star.com",
"phoneNumber": "+61401234567",
"passport": {
"country": "AU",
"passportNumber": "string",
"expiryDate": "2019-08-24"
},
"driverLicence": {
"driverLicenceNumber": "string",
"documentNumber": "string",
"versionNumber": "string",
"state": "string",
"country": "AU"
},
"verificationDocs": {
"idType": "Passport",
"docFrontFileId": "lfile_aZ-9UvKvllCPqGsm",
"docBackFileId": "lfile_aZ-9UvKvllCPqGsm"
}
}'Roles of the beneficial owner.
The address street type, eg Street or Road – not mandatory because 12 The Esplanade
The address postal code. Should be digits between 4 and 10 characters long.
{ "ownerId": "pson_aZ-9U_KvllCPqGss", "profile": { "title": "string", "roles": [ … ], "givenName": "string", "middleName": "string", "familyName": "string", "dateOfBirth": "1970-08-18", "address": { … }, "emailAddress": "lucy.diamond@star.com", "phoneNumber": "+61401234567", "passport": { … }, "driverLicence": { … }, "verificationDocs": { … } }, "verificationResult": { "status": "Pending", "errorCodes": [ … ], "details": [ … ] }, "isDeletable": true }
- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}
- Productionhttps://api.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://api.sandbox.au.meetapril.io/merchants/{merchantId}/owners/{ownerId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- Sandboxhttps://api.sandbox.au.meetapril.io/merchants/industries
- Productionhttps://api.au.meetapril.io/merchants/industries
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://api.sandbox.au.meetapril.io/merchants/industries \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'[ { "name": "string", "description": "string", "mcc": "string" } ]
A payment source represents a reusable source of funds to use for payments.
- GET /sources/{sourceId}
- DELETE /sources/{sourceId}
- POST /sources Register a payment source that may be used to pay for one or more payments
- GET /sources Return a paginated list of matching payment sources
- GET /sources/blockedcards Return a paginated list of events related to cards that have been blocked
- PATCH /sources/blockedcards/{cardBlockId} Update actions on blocked cards
A payment token represents a single use reference to a source of funds that can be used to pay for an order.
- POST /tokens Generate a pay-in-full payment token based on the provided payment source
- GET /tokens/{paymentTokenId} Get the details for a pay-in-full payment token
- POST /tokens/{merchantId}/surchargequote Calculates the surcharged amounts for the specified payment type
A pay plan represents a payment where the Spenda platform has extended a loan to make a purchase that the customer pays back over one or more instalments.
- POST /payplans/offer Create a pay plan offer for a registered and KYC'd merchant customer
- GET /payplans Return a paginated list of matching pay plans
- POST /payplans Create a pay plan and payment token from a successful pay plan offer
- GET /payplans/{payPlanId} Return details of a pay plan
- POST /payplans/max Return the maximum loan amount the given customer is currently eligible for
- POST /payplans/parameters Calculate the pay plan parameters for the given amount and list of variants
An order captures the details of the goods or services that the customer is purchasing from the merchant.
- GET /orders Return a paginated list of matching orders
- POST /orders Creates a new order
- POST /orders/{orderId}/pay Pay for an order using a payment token
- GET /orders/{orderId} Retrieves an order
- DELETE /orders/{orderId} Cancels an order, invalidating it from being payable
- PATCH /orders/{orderId} Actions for modifying an existing order
Sandbox only endpoints for simulating external events such as a bank transfer.
- POST /simulation Sandbox only endpoint to simulate external events such as a bank transfer being performed
A transaction is a payment from the perspective of a merchant. The transaction shows how much the merchant will be paid, if they have been paid already and whether there have been any refunds.
- GET /transactions/{transactionId} Return details of a transaction
- GET /transactions Return a paginated list of matching transactions
- PATCH /transactions/{transactionId} Various actions for updating a transaction such as issuing a refund
- POST /transactions/payouts Request to create a manual payout for a merchant
- GET /transactions/payouts Return a paginated list of matching payout summaries
- GET /transactions/payouts/{payoutId} Return an aggregated breakdown of the money movements included in the payout along with details of the disbursement itself
- GET /transactions/invoices Return a paginated list of matching merchant invoices
- GET /transactions/invoices/{invoiceId} Return an aggregated breakdown of the money movements included in the invoice along with billing details
- GET /transactions/invoices/{invoiceId}/pdf Return a PDF of the merchant invoice intended to be sent to the payer merchant
- GET /transactions/settlement Return a paginated list of all settlement entries matching the given search criteria
- GET /transactions/settlement/report Return a list of all settlement entries matching the given search criteria
- GET /transactions/disputes Return a paginated list of all disputes matching the given search criteria
- GET /transactions/refunds Return a paginated list of matching refunds
A B2B2C setup where an entity with business customers (sub-merchants) uses Spenda to facilitate payments for their customers' customers.
- GET /marketplaces/{marketplaceId} Return details of a marketplace
- POST /marketplaces/customer Marketplace customers allow marketplaces to onboard their customers once and have them available over all their sub-merchants
Webhooks are a mechanism where merchants and marketplaces can register an endpoints against one or more events. When these events occur, a POST HTTP request is made to the registered endpoint with the event details.
- GET /webhooks Return a paginated list of matching webhook subscriptions
- POST /webhooks Create a new webhook subscription
- GET /webhooks/{id} Return details of a webhook subscription
- PATCH /webhooks/{id} Update an existing webhook subscription
Loans are payment products where credit is extended by a loan facility to a borrower. The borrower can be either an individual or a business depending on the loan product in question.
- GET /loans Return a paginated list of matching loan summaries
- GET /loans/statements/{loanStatementId} Return a loan statement summary
- GET /loans/statements Return a paginated list of matching loan statement summaries
- GET /loans/statements/entries Return a paginated list of matching loan statement entries
- GET /loans/enterprise/statements/{loanStatementId}/download Return a loan statement report in either CSV, PDF or XML format
- GET /loans/statements/entries/report Return a list of all loan statement entries matching the given search criteria
Endpoints related to the issuing of digital cards, typically associated with a trade account based loan.
- POST /issuer/card Administer digital card(s)
- GET /issuer/card Return a paginated list of matching digital card summaries